Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network167.166.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
167.166.0.0
Broadcast address
167.167.255.255
First usable
167.166.0.1
Last usable
167.167.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex A7A60000 · Integer 2812674048 to 2812805119
Reverse DNS zones
166.167.in-addr.arpa
167.167.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100111.10100110.00000000.00000000167.166.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10100111.10100110.00000000.00000000167.166.0.0
Broadcast10100111.10100111.11111111.11111111167.167.255.255
Split into smaller subnets/22

167.166.0.0/15 makes 128 subnets of /22.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1167.166.0.0/22167.166.0.1 to 167.166.3.254167.166.3.2551,022
2167.166.4.0/22167.166.4.1 to 167.166.7.254167.166.7.2551,022
3167.166.8.0/22167.166.8.1 to 167.166.11.254167.166.11.2551,022
4167.166.12.0/22167.166.12.1 to 167.166.15.254167.166.15.2551,022
5167.166.16.0/22167.166.16.1 to 167.166.19.254167.166.19.2551,022
6167.166.20.0/22167.166.20.1 to 167.166.23.254167.166.23.2551,022
7167.166.24.0/22167.166.24.1 to 167.166.27.254167.166.27.2551,022
8167.166.28.0/22167.166.28.1 to 167.166.31.254167.166.31.2551,022
9167.166.32.0/22167.166.32.1 to 167.166.35.254167.166.35.2551,022
10167.166.36.0/22167.166.36.1 to 167.166.39.254167.166.39.2551,022
11167.166.40.0/22167.166.40.1 to 167.166.43.254167.166.43.2551,022
12167.166.44.0/22167.166.44.1 to 167.166.47.254167.166.47.2551,022
13167.166.48.0/22167.166.48.1 to 167.166.51.254167.166.51.2551,022
14167.166.52.0/22167.166.52.1 to 167.166.55.254167.166.55.2551,022
15167.166.56.0/22167.166.56.1 to 167.166.59.254167.166.59.2551,022
16167.166.60.0/22167.166.60.1 to 167.166.63.254167.166.63.2551,022
17167.166.64.0/22167.166.64.1 to 167.166.67.254167.166.67.2551,022
18167.166.68.0/22167.166.68.1 to 167.166.71.254167.166.71.2551,022
19167.166.72.0/22167.166.72.1 to 167.166.75.254167.166.75.2551,022
20167.166.76.0/22167.166.76.1 to 167.166.79.254167.166.79.2551,022
21167.166.80.0/22167.166.80.1 to 167.166.83.254167.166.83.2551,022
22167.166.84.0/22167.166.84.1 to 167.166.87.254167.166.87.2551,022
23167.166.88.0/22167.166.88.1 to 167.166.91.254167.166.91.2551,022
24167.166.92.0/22167.166.92.1 to 167.166.95.254167.166.95.2551,022
25167.166.96.0/22167.166.96.1 to 167.166.99.254167.166.99.2551,022
26167.166.100.0/22167.166.100.1 to 167.166.103.254167.166.103.2551,022
27167.166.104.0/22167.166.104.1 to 167.166.107.254167.166.107.2551,022
28167.166.108.0/22167.166.108.1 to 167.166.111.254167.166.111.2551,022
29167.166.112.0/22167.166.112.1 to 167.166.115.254167.166.115.2551,022
30167.166.116.0/22167.166.116.1 to 167.166.119.254167.166.119.2551,022
31167.166.120.0/22167.166.120.1 to 167.166.123.254167.166.123.2551,022
32167.166.124.0/22167.166.124.1 to 167.166.127.254167.166.127.2551,022
33167.166.128.0/22167.166.128.1 to 167.166.131.254167.166.131.2551,022
34167.166.132.0/22167.166.132.1 to 167.166.135.254167.166.135.2551,022
35167.166.136.0/22167.166.136.1 to 167.166.139.254167.166.139.2551,022
36167.166.140.0/22167.166.140.1 to 167.166.143.254167.166.143.2551,022
37167.166.144.0/22167.166.144.1 to 167.166.147.254167.166.147.2551,022
38167.166.148.0/22167.166.148.1 to 167.166.151.254167.166.151.2551,022
39167.166.152.0/22167.166.152.1 to 167.166.155.254167.166.155.2551,022
40167.166.156.0/22167.166.156.1 to 167.166.159.254167.166.159.2551,022
41167.166.160.0/22167.166.160.1 to 167.166.163.254167.166.163.2551,022
42167.166.164.0/22167.166.164.1 to 167.166.167.254167.166.167.2551,022
43167.166.168.0/22167.166.168.1 to 167.166.171.254167.166.171.2551,022
44167.166.172.0/22167.166.172.1 to 167.166.175.254167.166.175.2551,022
45167.166.176.0/22167.166.176.1 to 167.166.179.254167.166.179.2551,022
46167.166.180.0/22167.166.180.1 to 167.166.183.254167.166.183.2551,022
47167.166.184.0/22167.166.184.1 to 167.166.187.254167.166.187.2551,022
48167.166.188.0/22167.166.188.1 to 167.166.191.254167.166.191.2551,022
49167.166.192.0/22167.166.192.1 to 167.166.195.254167.166.195.2551,022
50167.166.196.0/22167.166.196.1 to 167.166.199.254167.166.199.2551,022
51167.166.200.0/22167.166.200.1 to 167.166.203.254167.166.203.2551,022
52167.166.204.0/22167.166.204.1 to 167.166.207.254167.166.207.2551,022
53167.166.208.0/22167.166.208.1 to 167.166.211.254167.166.211.2551,022
54167.166.212.0/22167.166.212.1 to 167.166.215.254167.166.215.2551,022
55167.166.216.0/22167.166.216.1 to 167.166.219.254167.166.219.2551,022
56167.166.220.0/22167.166.220.1 to 167.166.223.254167.166.223.2551,022
57167.166.224.0/22167.166.224.1 to 167.166.227.254167.166.227.2551,022
58167.166.228.0/22167.166.228.1 to 167.166.231.254167.166.231.2551,022
59167.166.232.0/22167.166.232.1 to 167.166.235.254167.166.235.2551,022
60167.166.236.0/22167.166.236.1 to 167.166.239.254167.166.239.2551,022
61167.166.240.0/22167.166.240.1 to 167.166.243.254167.166.243.2551,022
62167.166.244.0/22167.166.244.1 to 167.166.247.254167.166.247.2551,022
63167.166.248.0/22167.166.248.1 to 167.166.251.254167.166.251.2551,022
64167.166.252.0/22167.166.252.1 to 167.166.255.254167.166.255.2551,022
65167.167.0.0/22167.167.0.1 to 167.167.3.254167.167.3.2551,022
66167.167.4.0/22167.167.4.1 to 167.167.7.254167.167.7.2551,022
67167.167.8.0/22167.167.8.1 to 167.167.11.254167.167.11.2551,022
68167.167.12.0/22167.167.12.1 to 167.167.15.254167.167.15.2551,022
69167.167.16.0/22167.167.16.1 to 167.167.19.254167.167.19.2551,022
70167.167.20.0/22167.167.20.1 to 167.167.23.254167.167.23.2551,022
71167.167.24.0/22167.167.24.1 to 167.167.27.254167.167.27.2551,022
72167.167.28.0/22167.167.28.1 to 167.167.31.254167.167.31.2551,022
73167.167.32.0/22167.167.32.1 to 167.167.35.254167.167.35.2551,022
74167.167.36.0/22167.167.36.1 to 167.167.39.254167.167.39.2551,022
75167.167.40.0/22167.167.40.1 to 167.167.43.254167.167.43.2551,022
76167.167.44.0/22167.167.44.1 to 167.167.47.254167.167.47.2551,022
77167.167.48.0/22167.167.48.1 to 167.167.51.254167.167.51.2551,022
78167.167.52.0/22167.167.52.1 to 167.167.55.254167.167.55.2551,022
79167.167.56.0/22167.167.56.1 to 167.167.59.254167.167.59.2551,022
80167.167.60.0/22167.167.60.1 to 167.167.63.254167.167.63.2551,022
81167.167.64.0/22167.167.64.1 to 167.167.67.254167.167.67.2551,022
82167.167.68.0/22167.167.68.1 to 167.167.71.254167.167.71.2551,022
83167.167.72.0/22167.167.72.1 to 167.167.75.254167.167.75.2551,022
84167.167.76.0/22167.167.76.1 to 167.167.79.254167.167.79.2551,022
85167.167.80.0/22167.167.80.1 to 167.167.83.254167.167.83.2551,022
86167.167.84.0/22167.167.84.1 to 167.167.87.254167.167.87.2551,022
87167.167.88.0/22167.167.88.1 to 167.167.91.254167.167.91.2551,022
88167.167.92.0/22167.167.92.1 to 167.167.95.254167.167.95.2551,022
89167.167.96.0/22167.167.96.1 to 167.167.99.254167.167.99.2551,022
90167.167.100.0/22167.167.100.1 to 167.167.103.254167.167.103.2551,022
91167.167.104.0/22167.167.104.1 to 167.167.107.254167.167.107.2551,022
92167.167.108.0/22167.167.108.1 to 167.167.111.254167.167.111.2551,022
93167.167.112.0/22167.167.112.1 to 167.167.115.254167.167.115.2551,022
94167.167.116.0/22167.167.116.1 to 167.167.119.254167.167.119.2551,022
95167.167.120.0/22167.167.120.1 to 167.167.123.254167.167.123.2551,022
96167.167.124.0/22167.167.124.1 to 167.167.127.254167.167.127.2551,022
97167.167.128.0/22167.167.128.1 to 167.167.131.254167.167.131.2551,022
98167.167.132.0/22167.167.132.1 to 167.167.135.254167.167.135.2551,022
99167.167.136.0/22167.167.136.1 to 167.167.139.254167.167.139.2551,022
100167.167.140.0/22167.167.140.1 to 167.167.143.254167.167.143.2551,022
101167.167.144.0/22167.167.144.1 to 167.167.147.254167.167.147.2551,022
102167.167.148.0/22167.167.148.1 to 167.167.151.254167.167.151.2551,022
103167.167.152.0/22167.167.152.1 to 167.167.155.254167.167.155.2551,022
104167.167.156.0/22167.167.156.1 to 167.167.159.254167.167.159.2551,022
105167.167.160.0/22167.167.160.1 to 167.167.163.254167.167.163.2551,022
106167.167.164.0/22167.167.164.1 to 167.167.167.254167.167.167.2551,022
107167.167.168.0/22167.167.168.1 to 167.167.171.254167.167.171.2551,022
108167.167.172.0/22167.167.172.1 to 167.167.175.254167.167.175.2551,022
109167.167.176.0/22167.167.176.1 to 167.167.179.254167.167.179.2551,022
110167.167.180.0/22167.167.180.1 to 167.167.183.254167.167.183.2551,022
111167.167.184.0/22167.167.184.1 to 167.167.187.254167.167.187.2551,022
112167.167.188.0/22167.167.188.1 to 167.167.191.254167.167.191.2551,022
113167.167.192.0/22167.167.192.1 to 167.167.195.254167.167.195.2551,022
114167.167.196.0/22167.167.196.1 to 167.167.199.254167.167.199.2551,022
115167.167.200.0/22167.167.200.1 to 167.167.203.254167.167.203.2551,022
116167.167.204.0/22167.167.204.1 to 167.167.207.254167.167.207.2551,022
117167.167.208.0/22167.167.208.1 to 167.167.211.254167.167.211.2551,022
118167.167.212.0/22167.167.212.1 to 167.167.215.254167.167.215.2551,022
119167.167.216.0/22167.167.216.1 to 167.167.219.254167.167.219.2551,022
120167.167.220.0/22167.167.220.1 to 167.167.223.254167.167.223.2551,022
121167.167.224.0/22167.167.224.1 to 167.167.227.254167.167.227.2551,022
122167.167.228.0/22167.167.228.1 to 167.167.231.254167.167.231.2551,022
123167.167.232.0/22167.167.232.1 to 167.167.235.254167.167.235.2551,022
124167.167.236.0/22167.167.236.1 to 167.167.239.254167.167.239.2551,022
125167.167.240.0/22167.167.240.1 to 167.167.243.254167.167.243.2551,022
126167.167.244.0/22167.167.244.1 to 167.167.247.254167.167.247.2551,022
127167.167.248.0/22167.167.248.1 to 167.167.251.254167.167.251.2551,022
128167.167.252.0/22167.167.252.1 to 167.167.255.254167.167.255.2551,022

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses